Webhook

Get Webhook

GET /v1/webhook/{webhookId}

GET/v1/webhook/{webhookId}
GET
/v1/webhook/{webhookId}

Get a webhook by ID

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Path Parameters

webhookIdstring

Public webhook ID returned by Create Webhook.

Responses

200
Webhook fetched successfully
{
  "message": "Webhook fetched successfully",
  "payload": {
    "id": "69fb3ac1eda582171eb74826",
    "name": "Email Sent Webhook",
    "webhookUrl": "https://example.org/webhooks/email-sent",
    "webhookEvent": [
      "email-sent"
    ],
    "headers": {
      "X-Webhook-Source": "saleshandy"
    },
    "status": "paused",
    "failed": true,
    "lastFailure": {
      "failedAt": "2026-04-21T11:04:57.090Z",
      "statusCode": 404,
      "message": "Delivery failed"
    }
  }
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/webhook/{webhookId}" \
  -H "x-api-key: YOUR_API_KEY"

Response

No response body